import React from "react";
import { ReactNode } from "react";
import ReactForceGraph2d from "react-force-graph-2d";
import { GraphData } from "../structures/graph/graph";
import "./graphrenderer.css";

type propTypes = {
    graphData: GraphData;
};

export class GraphRenderer extends React.Component<propTypes> {
    render(): ReactNode {
        return (
            <div id="box-select-layer">
                <ReactForceGraph2d graphData={this.props.graphData} />
            </div>
        );
    }
}
